class FilterItemEntity {
  static FilterItemEntity fromJson(Map<String, dynamic> json) {
    return FilterItemEntity.from(json);
  }

  String? id;
  String? name;
  List<FilterItemEntity>? subs;

  FilterItemEntity(this.id, this.name, this.subs);

  FilterItemEntity.from(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'] ?? json['text'];
    subs = [];
    var subList = json['sub_list'];
    if (subList != null && subList is List) {
      subList.forEach((item) {
        subs!.add(FilterItemEntity.fromJson(item));
      });
    }
  }
}

class FilterObject {
  static FilterObject fromJson(Map<String, dynamic>? json) {
    return FilterObject.from(json!);
  }

  late List<FilterItemEntity> regions;
  late List<FilterItemEntity> categorys;
  late List<FilterItemEntity> sorts;

  FilterObject.from(Map<String, dynamic> json) {
    regions = [];
    categorys = [];
    sorts = [];
    json['region_list'].forEach((item) {
      regions.add(FilterItemEntity.fromJson(item));
    });
    json['category_list'].forEach((item) {
      categorys.add(FilterItemEntity.fromJson(item));
    });
    json['sort_list'].forEach((item) {
      sorts.add(FilterItemEntity.fromJson(item));
    });
  }
}
