class ShopInfoEntity {
  static ShopInfoEntity fromJson(Map<String, dynamic>? json) {
    return ShopInfoEntity.from(json!);
  }

  ShopInfo? shopInfo;
  List<ShopCouponItem>? shopCouponItems;

  ShopInfoEntity({this.shopInfo, this.shopCouponItems});

  ShopInfoEntity.from(Map<String, dynamic> json) {
    shopInfo = json['shop_info'] != null
        ? new ShopInfo.fromJson(json['shop_info'])
        : null;
    if (json['item_list'] != null) {
      shopCouponItems = List<ShopCouponItem>.empty(growable: true);
      json['item_list'].forEach((v) {
        shopCouponItems!.add(new ShopCouponItem.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.shopInfo != null) {
      data['shop_info'] = this.shopInfo!.toJson();
    }
    if (this.shopCouponItems != null) {
      data['item_list'] = this.shopCouponItems!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class ShopInfo {
  String? shopImg;
  String? shopId;
  String? shopTitle;
  String? address;
  String? cityName;
  String? commentScore;
  String? showStarScore;
  String? distance;
  String? avgPrice;
  String? quarterVolume;
  String? businessTime;

  ShopInfo(
      {this.shopImg,
      this.shopId,
      this.shopTitle,
      this.address,
      this.cityName,
      this.commentScore,
      this.showStarScore,
      this.distance,
      this.avgPrice,
      this.quarterVolume,
      this.businessTime});

  ShopInfo.fromJson(Map<String, dynamic> json) {
    shopImg = json['shop_img'];
    shopId = json['shop_id'];
    shopTitle = json['shop_title'];
    address = json['address'];
    cityName = json['city_name'];
    commentScore = json['comment_score'];
    showStarScore = json['show_star_score'];
    distance = json['distance'];
    avgPrice = json['avg_price'];
    quarterVolume = json['quarter_volume'];
    businessTime = json['business_time'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['shop_img'] = this.shopImg;
    data['shop_id'] = this.shopId;
    data['shop_title'] = this.shopTitle;
    data['address'] = this.address;
    data['city_name'] = this.cityName;
    data['comment_score'] = this.commentScore;
    data['show_star_score'] = this.showStarScore;
    data['distance'] = this.distance;
    data['avg_price'] = this.avgPrice;
    data['quarter_volume'] = this.quarterVolume;
    data['business_time'] = this.businessTime;
    return data;
  }
}

class ShopCouponItem {
  String? itemTitle;
  String? itemImg;
  String? originalPrice;
  String? endPrice;
  String? couponUrl;
  String? dealType;
  String? discountPercent;
  String? userCommission;
  String? userCommissionText;
  String? dealId;

  ShopCouponItem(
      {this.itemTitle,
      this.itemImg,
      this.originalPrice,
      this.endPrice,
      this.couponUrl,
      this.dealType,
      this.discountPercent,
      this.userCommission,
      this.userCommissionText,
      this.dealId});

  ShopCouponItem.fromJson(Map<String, dynamic> json) {
    itemTitle = json['item_title'];
    itemImg = json['item_img'];
    originalPrice = json['original_price'];
    endPrice = json['end_price'];
    couponUrl = json['coupon_url'];
    dealType = json['deal_type'];
    discountPercent = json['discount_percent'];
    userCommission = json['user_commission'];
    userCommissionText = json['user_commission_text'];
    dealId = json['deal_id'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['item_title'] = this.itemTitle;
    data['item_img'] = this.itemImg;
    data['original_price'] = this.originalPrice;
    data['end_price'] = this.endPrice;
    data['coupon_url'] = this.couponUrl;
    data['deal_type'] = this.dealType;
    data['discount_percent'] = this.discountPercent;
    data['user_commission'] = this.userCommission;
    data['user_commission_text'] = this.userCommissionText;
    data['deal_id'] = this.dealId;
    return data;
  }
}
