import 'package:life_repository/entity/app_nav_entity.dart';
import 'package:life_repository/entity/activity_config_entity.dart';
import './impl/app_nav_repository_impl.dart';

/// 获取砖石位配置信息
abstract class AppNavRepository {
  static AppNavRepositoryImpl get() {
    return AppNavRepositoryImpl();
  }

  ///
  /// [type] 广告位置 1 首页钻石位 2 app我的，3生活广场
  Future<List<AppNavEntity>> getAppNavList(String type);

  /// [location_type] 广告位置
  /// 1首页顶部、2首页弹窗、3首页浮标、4首页通知、5首页中部、6免单页面、
  /// 7品牌页面、8商品详情、9个人中心、10首页主会场、11首页分会场、12订单通知、
  /// 13外卖返现、14我的浮标、15启动页面、16福利专区、17余额提现、18提现结果、19活动会场
  /// 会根据需求增加或减少
  Future<List<ActivityConfigEntity>> getActivityConfigList(String locationType);
}
