import './impl/filter_arepository_impl.dart';
import '../entity/filter_item_entity.dart';
import '../entity/search_tips_item.dart';

abstract class FilterArepository {
  static FilterArepositoryImpl get() {
    return FilterArepositoryImpl();
  }

  ///  获取筛选项列表
  /// [cityId] 城市ID
  Future<FilterObject?> getFilterList(String cityId);

  ///  搜索智能提示
  /// [city] 城市id
  /// [lat] 纬度
  /// [lng] 经度
  /// [firstCateId] 一级类目id
  /// [keywords] 检索词
  Future<List<SearchTipsItem>> findSearchTips(
    String cityId,
    String lat,
    String lng,
    String firstCateId,
    String keywords,
  );
}
