import 'package:life_repository/life_repository.dart';
import 'package:life_repository/entity/app_nav_entity.dart';

class AppNavRepositoryImpl extends AppNavRepository {
  AppNavRepositoryImpl.get();
  static final AppNavRepositoryImpl _instance = AppNavRepositoryImpl.get();
  factory AppNavRepositoryImpl() {
    return _instance;
  }
  @override
  Future<List<AppNavEntity>> getAppNavList(String type) async {
    var result = await DSDioUtil.getInstance()
        .get('/home.getAppNav', queryParameters: {"type": type});
    var res =
        DSResponseList<AppNavEntity>.fromJson(result, AppNavEntity.fromJson);
    return res.data;
  }

  @override
  Future<List<ActivityConfigEntity>> getActivityConfigList(
      String locationType) async {
    var result = await DSDioUtil.getInstance().get('/home.getActivityConfig',
        queryParameters: {"location_type": locationType});
    var res = DSResponseList<ActivityConfigEntity>.fromJson(
        result, ActivityConfigEntity.fromJson);
    return res.data;
  }
}
