import './impl/sec_kill_repository_impl.dart';
import 'package:life_repository/entity/sec_kill_session.dart';
import 'package:life_repository/entity/sec_kill_goods.dart';

abstract class SecKillRepository {
  static SecKillRepositoryImpl get() {
    return SecKillRepositoryImpl();
  }

  /// 获取秒杀场次
  /// [cityId] 城市ID
  /// [source] 来源，1本地生活主页，2秒杀列表
  Future<List<SeckillSession>> findSeckillSession(String cityId, String source);

  /// 获取秒杀商品列表
  /// [cityId] 城市id
  /// [showId] 秒杀场次Id
  /// [lat] 纬度
  /// [lng] 经度
  /// [page] 页码
  Future<List<SecKillGoods>> findSeckillGoodsList(
      String cityId, String showId, String lat, String lng, int page);
  Future<bool> findSeckillSwitch();
}
