import 'package:life_repository/life_repository.dart';

import './impl/shop_list_repository_impl.dart';

abstract class ShopListRepository {
  static ShopListRepositoryImpl get() {
    return ShopListRepositoryImpl();
  }

  /// 美食餐厅列表
  /// [city] 城市id
  /// [lat] 纬度
  /// [lng] 经度
  /// [page]
  /// [firstCateId] 一级类目id
  /// [keywords] 检索词
  /// [secondCateId] 二级类目id
  /// [regionId] 商圈id
  /// [sortType] 排序值
  Future<List<ShopItemEntity>> findComboList(
    String cityId,
    String lat,
    String lng,
    String page,
    String firstCateId,
    String keywords,
    String secondCateId,
    String regionId,
    String sortType,
  );

  Future<List<ShopItemEntity>> findRestaurantList(
    String cityId,
    String lat,
    String lng,
    String page,
    String firstCateId,
    String keywords,
    String secondCateId,
    String regionId,
    String sortType,
  );
}
